@echo off
call check-for-admin
if %ERRORLEVEL% neq 0 exit /b

set TOOLS=%SystemDrive%\tools
set INIFILE=..\scripts\config\snapcontrol.ini
set SOFTWARE=..\software

echo ####### %0 #######

echo copy snapcontrol binary to [ %windir% ] ...
copy /Y %SOFTWARE%\snapcontrol.exe %windir% 2>nul

if EXIST %SOFTWARE%\snapshot64_licensed.exe (

  echo copying LICENSED snapshot64 to %windir% ...
  copy /Y %SOFTWARE%\snapshot64_licensed.exe %windir%\snapshot64.exe

) else (

  echo copying STANDARD snapshot64 to boot image ...
  copy /Y %SOFTWARE%\snapshot64.exe %windiw%

)
  
if NOT EXIST %windir%\snapcontrol.ini (

  echo copying STANDARD inifile to %windir% ...
  copy /Y %INIFILE% %windir%

) else (

  echo inifile already copied. nothing to do!

)

echo creating scheduler task ...
%windir%\snapcontrol /I

echo ####### %0 #######
pause

